List stack profile deployments
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/instantiations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/instantiations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/instantiations \
--header 'Authorization: Bearer <token>'{
"result": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"stack_name": "<string>",
"stack_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stack_state": "<string>",
"draft_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"outdated": true,
"deprecated": true,
"parameters": [
{
"name": "<string>",
"value": "<string>",
"explicit": false
}
],
"created_at": "2023-11-07T05:31:56Z"
}
],
"current_version": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Stack Profiles
List stack profile deployments
Lists the clusters running a version of the profile, flagging deployments that are behind the current version or on a deprecated one.
GET
/
api
/
v1
/
org
/
stack-profiles
/
{profile_id}
/
instantiations
List stack profile deployments
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/instantiations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/instantiations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}/instantiations \
--header 'Authorization: Bearer <token>'{
"result": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_name": "<string>",
"stack_name": "<string>",
"stack_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stack_state": "<string>",
"draft_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"outdated": true,
"deprecated": true,
"parameters": [
{
"name": "<string>",
"value": "<string>",
"explicit": false
}
],
"created_at": "2023-11-07T05:31:56Z"
}
],
"current_version": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}